# iomanip File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file iomanip.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_IOMANIP

## Functions

- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Setw __f)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Setprecision __f)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Setfill< _CharT > __f)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Setbase __f)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Setiosflags __f)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, _Resetiosflags __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Setw __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Setprecision __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Setfill< _CharT > __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Setbase __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Setiosflags __f)
- template<typename _CharT, typename _Traits> basic_istream< _CharT, _Traits > & operator>> (basic_istream< _CharT, _Traits > &__is, _Resetiosflags __f)
- _Resetiosflags resetiosflags (ios_base::fmtflags __mask)
- _Setbase setbase (int __base)
- template<typename _CharT> _Setfill< _CharT > setfill (_CharT __c)
- _Setiosflags setiosflags (ios_base::fmtflags __mask)
- _Setprecision setprecision (int __n)
- _Setw setw (int __n)

## Function Documentation

_Resetiosflags std::resetiosflags | ( | ios_base::fmtflags | __mask | ) | `[inline]`

Manipulator for `setf`.

Parameters:

  | mask | A format flags mask.

Sent to a stream object, this manipulator resets the specified flags, via stream.setf(0,mask).

Definition at line 63 of file iomanip.

_Setbase std::setbase | ( | int | __base | ) | `[inline]`

Manipulator for `setf`.

Parameters:

  | base | A numeric base.

Sent to a stream object, this manipulator changes the `ios_base::basefield` flags to `oct`, `dec`, or `hex` when base is 8, 10, or 16, accordingly, and to 0 if base is any other value.

Definition at line 132 of file iomanip.

_Setfill<_CharT> std::setfill | ( | _CharT | __c | ) | `[inline]`

Manipulator for `fill`.

Parameters:

  | c | The new fill character.

Sent to a stream object, this manipulator calls `fill(c)` for that object.

Definition at line 174 of file iomanip.

_Setiosflags std::setiosflags | ( | ios_base::fmtflags | __mask | ) | `[inline]`

Manipulator for `setf`.

Parameters:

  | mask | A format flags mask.

Sent to a stream object, this manipulator sets the format flags to mask.

Definition at line 97 of file iomanip.

_Setprecision std::setprecision | ( | int | __n | ) | `[inline]`

Manipulator for `precision`.

Parameters:

  | n | The new precision.

Sent to a stream object, this manipulator calls `precision(n)` for that object.

Definition at line 208 of file iomanip.

_Setw std::setw | ( | int | __n | ) | `[inline]`

Manipulator for `width`.

Parameters:

  | n | The new width.

Sent to a stream object, this manipulator calls `width(n)` for that object.

Definition at line 242 of file iomanip.